--[[
	Author: Valerio Battaglia
	Description: Core of the app with all function
	Version: 0.0.1a
	
	Changes:
		0.0.1a:
			- First release
--]]

App = {}; -- Main table of the app
local App = App;

function App:init()
	application:setOrientation(Application.LANDSCAPE_RIGHT);
	
	local textureBase = Texture.new("gfx/texture.png", true, {wrap = Texture.REPEAT});
	local regioneBase = TextureRegion.new(textureBase, 0, 0, application:getContentWidth(), application:getContentHeight());
	stage:addChild(Bitmap.new(regioneBase));
	
	local fontSize = application:getContentWidth() / 16;
	local fontTitle = TTFont.new("fonts/coolvetica.ttf", fontSize);
	local titleApp = TextField.new(fontTitle, "A test title - Really long to fit");
	titleApp:setPosition((application:getContentWidth() - titleApp:getWidth()) / 2, fontSize);
	titleApp:setTextColor(0x878787);
	stage:addChild(titleApp);
	
	
end
